Bug 1007248 - Updating a CND file between repository restarts causes exception
Updating a CND file between repository restarts causes exception
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 04:06 EDT by Horia Chiorean
Modified: 2016-02-10 03:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:58:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2031 Major Closed Node types from CND file refresh fail 2014-02-14 10:43:08 EST

  None (edit)
Description Horia Chiorean 2013-09-12 04:06:22 EDT
If a repository is first started using a custom CND file, the stopped, the CND file modified and the repository restarted, an exception may be raised if any node super-types have been changed.
Comment 1 JBoss JIRA Server 2013-09-12 09:09:08 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2031

The problem consisted in the fact that after the update, super-types were placed after regular types in the list of children of the {{jcr:system/jcr:nodeTypes}} node and therefore couldn't be found during node type validation which requires a top-down order for super-types/sub-types.
Comment 2 JBoss JIRA Server 2013-09-12 18:29:00 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2031

Merged into the 'master' branch. Leaving open until it can be cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:21:39 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2031 to Closed
Comment 9 belong 2013-11-19 18:19:52 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.